<?php
/*
	fusionBoard 4.0
	php-Invent Team
	http://www.php-invent.com
	
	Developer: Ian Unruh (SoBeNoFear)
	ianunruh@gmail.com
*/

/* Infusion Info */
$locale['fb4_title'] = "fusionBoard 4";
$locale['fb4_desc'] = "Extensive modification to Fusion 7's forum";

/* Fusion Admin > Forums */
$locale['fb100'] = "Forum Icon:";
$locale['fb101'] = "Parent:";
$locale['fb102'] = " Collapsed by Default?";

/* Admin > Top Links */
$locale['fb200'] = "User Titles";
$locale['fb201'] = "Awards";
$locale['fb202'] = "fusionBoard4 Admin Panel";
$locale['fb203'] = "Settings";
$locale['fb204'] = "Images";
$locale['fb205'] = "User Labels";
$locale['fb206'] = "Forums";

/* Split Thread */
$locale['fb215'] = "Split Thread";
$locale['fb216'] = "Thread Subject:";
$locale['fb217'] = "New Forum:";
$locale['fb218'] = "Post Review";
$locale['fb219'] = "Posted on ";
$locale['fb220'] = " by ";
$locale['fb221'] = "Move Post";
$locale['fb222'] = "The selected posts were split into a new thread successfully!";
$locale['fb223'] = "Go to Original Thread";
$locale['fb224'] = "Go to New Thread";

/* Merge Thread */
$locale['fb225'] = "Merge Thread";
$locale['fb226'] = "Thread ID to Merge With:";
$locale['fb227'] = "Post Review";
$locale['fb228'] = "Posted on ";
$locale['fb229'] = " by ";
$locale['fb230'] = "Move Post";
$locale['fb231'] = "The selected posts were merged with another thread successfully!";
$locale['fb232'] = "Go to Original Thread";
$locale['fb233'] = "Go to Merged Thread";
$locale['fb234'] = "Thread ID could not be found!";

/* Admin > Options */

$locale['fb250'] = "Forum Icons";
$locale['fb251'] = "Awards";
$locale['fb252'] = "Post Icons";

$locale['fb260'] = "Online";
$locale['fb261'] = "Offline";

/* Admin > Social Bookmarking */
$locale['fb280'] = "Social Bookmarking";
$locale['fb281'] = "Add Bookmark Service";
$locale['fb282'] = "Current Social Bookmarks";
$locale['fb283'] = "Name";
$locale['fb284'] = "Icon";
$locale['fb285'] = "URL";
$locale['fb286'] = "Add";
$locale['fb287'] = "When adding the URL, insert {1} where the URL goes and {2} where the title goes (if applicable).";
$locale['fb288'] = "Options";
$locale['fb289'] = "Delete";
$locale['fb290'] = "Test";
$locale['fb291'] = "No social bookmarks have been defined.";
$locale['fb292'] = "Submits a link from this site to ";

/* Admin > Titles */
$locale['fb300'] = "Add Title";
$locale['fb301'] = "Edit Title";
$locale['fb302'] = "Add";
$locale['fb303'] = "Update";
$locale['fb304'] = "Title";
$locale['fb305'] = "Can Be Used By";
$locale['fb306'] = "Used By";
$locale['fb307'] = "Status";
$locale['fb308'] = "Options";
$locale['fb309'] = "Edit";
$locale['fb310'] = "Delete";
$locale['fb311'] = "Disable";
$locale['fb312'] = "Enable";
$locale['fb313'] = "You haven't created any user titles yet.";

$locale['uf_title'] = "User Title";
$locale['uf_title_desc'] = "Selectable title for profile/forum posts (fb4)";
$locale['uf_title_profile'] = "Title:";
$locale['uf_custom_disabled'] = "Custom titles disabled.";
$locale['uf_custom'] = "-- Custom";

/* Admin > Settings */
$locale['fb4001'] = "Yes";
$locale['fb4002'] = "No";

$locale['fb400'] = "User Titles Enabled?";
$locale['fb401'] = "Custom Titles Enabled?";
$locale['fb402'] = "Custom Titles Access";
$locale['fb403'] = "Titles in Profile?";
$locale['fb404'] = "Titles in Forum?";

$locale['fb405'] = "fusionBoard Settings";
$locale['fb406'] = "Forum Layout";
$locale['fb407'] = "Fusion 7 style";
$locale['fb408'] = "vBulletin style";
$locale['fb409'] = "Hybrid (Fusion + vB)";

$locale['fb410'] = "Maximum Attachments in a Post";

$locale['fb411'] = "Users Can Change Layout?";

$locale['fb412'] = "fusionBoard Enabled";

$locale['fb413'] = "Show Latest Threads List on Index?";
$locale['fb414'] = "Number of forum threads to show:";
$locale['fb415'] = "Auto-scroll through list?";
$locale['fb416'] = "Latest Forum Threads";

$locale['fb417'] = "On-the-fly Spell Check?";
$locale['fb418'] = "Count Attachment Downloads?";
$locale['fb419'] = "Preview posts?";
$locale['fb420'] = "Default Title";
$locale['fb436'] = "Latest Post Link by Thread Name?";

$locale['fb422'] = "Icons";
$locale['fb423'] = "Forum Icons?";
$locale['fb424'] = "Post Icons?";

$locale['fb425'] = "Forum Settings";
$locale['fb426'] = "Threads per Page (Viewforum):";
$locale['fb427'] = "Posts per page (Viewthread):";
$locale['fb428'] = "Max Avatar Size: (WidthxHeight):";
$locale['fb429'] = "Max Avatar Size: (Bytes):";

$locale['fb431'] = "Show user ratings?";
$locale['fb432'] = "Opacity of given ratings<br />(0.1-transparent, 0.9-opaque):";

$locale['fb433'] = "Awards";
$locale['fb434'] = "Javascript Alert On Click?";
$locale['fb435'] = "Box on Mouse Over?";
$locale['fb421'] = "Show Awards?";

$locale['fb437'] = "Subforum Simple View?";

$locale['fb438'] = "phpBB3";

$locale['fb439'] = "Forum Post Notification";
$locale['fb440'] = "Enable Forum Notify?";
$locale['fb441'] = "Forum Notify Access:";

$locale['fb442'] = "Track Forum";
$locale['fb443'] = "Stop Tracking Forum";

$locale['fb444'] = "Show \"No Avatar\" Avatar?";
$locale['fb445'] = "Use Quote & Edit Images?";

$locale['fb446'] = "Enhanced User CP";
$locale['fb447'] = "Enable Buddies?";
$locale['fb448'] = "Enable Enhanced Groups?";
$locale['fb449'] = "Create Group Access:";
$locale['fb450'] = "Forum Statistics";
$locale['fb451'] = "Birthday display:";
$locale['fb452'] = "This month";
$locale['fb453'] = "Today";
$locale['fb454'] = "None";
$locale['fb455'] = "Show Today's Visiting Members?";
$locale['fb430'] = "Show Guests on Forum Statistics?";

$locale['fb460'] = "Show User Level on Viewthread?";
$locale['fb461'] = "Use Boxover for Ratings?";
$locale['fb462'] = "Show Online Status on Viewthread?";

$locale['fb463'] = "Show AJAX Shoutbox on Forum Index?";

$locale['uf_forum'] = "Forum Layout";
$locale['uf_forum_desc'] = "Lets users set a layout for the forum";

/* Forums > Viewthread */
$locale['fb500'] = "Location";
$locale['fb501'] = "Options";
$locale['fb502'] = "Reason:";

$locale['fb503'] = "Thread View";
$locale['fb504'] = "Fusion";
$locale['fb505'] = "vB-style";
$locale['fb506'] = "Hybrid";

$locale['fb507'] = "Track Thread";
$locale['fb508'] = "Stop Tracking";
$locale['fb509'] = " Downloads";
$locale['fb510'] = " Download";

$locale['fb511'] = "Posted: ";
$locale['fb512'] = "Age: ";

$locale['fb513'] = "The following is a clip of the reply:";

/* Forums > Viewforum */
$locale['fb550'] = "Lock Threads";
$locale['fb551'] = "Lock selected posts?";
$locale['fb552'] = "Subforums:";
$locale['fb553'] = "Subforums";

$locale['fb554'] = "Forum Statistics";
$locale['fb555'] = "Our members have made a total of {POSTS} posts and {THREADS} threads.";
$locale['fb556'] = "We have {USERS} registered members.";
$locale['fb557'] = "Please welcome our newest member, {NEW}!";

$locale['fb558'] = "Board Statistics";
$locale['fb559'] = "{ONLINE} user(s) active in the last 15 minutes";
$locale['fb560'] = "Members who visted the forum today:";
$locale['fb561'] = "Most users ever online was {COUNT} on {DATE}.";

$locale['fb562'] = "Today's Birthdays";
$locale['fb563'] = "There are no birthdays today.";

$locale['fb564'] = "Birthdays in ";
$locale['fb565'] = "There are no birthdays this month.";

$locale['fb566'] = "Top Posters: ";

$locale['fb567'] = "Attached Images:";
$locale['fb568'] = "Attached Files:";

$locale['fb569'] = "A total of {RATINGS} ratings have been given.";

/* Forums > Edit Post */
$locale['fb600'] = "Reason for Editing:";
$locale['fb601'] = "Redirecting to your post in 3 seconds...<br /><br />";
$locale['fb602'] = "Redirecting back to thread in 3 seconds...<br /><br />";
$locale['fb602'] = "Redirecting back to forum in 3 seconds...<br /><br />";
$locale['fb603'] = "Hide Edit";

/* Forums > Post */
$locale['fb610'] = "Editing Post: ";
$locale['fb611'] = "Replying To Thread: ";
$locale['fb612'] = "Posting New Thread";
$locale['fb613'] = "Post Icon:";
$locale['fb614'] = "No Icon";

$locale['fb615'] = "Go To Last Post";

$locale['fb620'] = "Forum Thread";
$locale['fb621'] = "You are now tracking this forum";
$locale['fb622'] = "You are no longer tracking this forum";

/* Admin > Awards */
$locale['fb710'] = "Manage Awards";
$locale['fb711'] = "Search for users to add/delete awards using the form below.";
$locale['fb712'] = "User ID";
$locale['fb713'] = "User Name";
$locale['fb714'] = "Search";
$locale['fb718'] = "No users found.";
$locale['fb719'] = "Search Again";
$locale['fb720'] = "This user doesn't have any awards.";
$locale['fb721'] = "Add Award";
$locale['fb722'] = "Current Awards";
$locale['fb723'] = "Image:";
$locale['fb724'] = "Award For: ";
$locale['fb725'] = "Add Award";
$locale['fb726'] = "Award given to user successfully!";
$locale['fb727'] = "Award removed successfully!";

/* Installer */
$locale['fb750'] = "fusionBoard 4.0 stable install";
$locale['fb751'] = "<b>Welcome to fusionBoard 4!</b>

fusionBoard is the largest set of enhancements for the standard Fusion 7 forum, including:";

$locale['fb752'] = "INSTALL";
$locale['fb753'] = "Installation was successful!";
$locale['fb754'] = "Click Here";
$locale['fb755'] = " to go configure fusionBoard 4.";
$locale['fb756'] = "Error: Installation failed; please contact php-Invent team.<br />If you are just upgrading to alpha 2, you can ignore this message and:";

$locale['fb757'] = "Select an option below to continue:";
$locale['fb758'] = "Fresh Install";
$locale['fb759'] = "Fresh Install + Existing Forums";
$locale['fb760'] = "Upgrade from Alpha 1";
$locale['fb761'] = "Upgrade from Alpha 2";
$locale['fb762'] = "Update & Fix an Alpha 2 Install";
$locale['fb763'] = "Go";

$locale['fb764'] = "The upgrade from Alpha 2 to 4.0 stable was successful.";
$locale['fb765'] = "We've also attempted to fix your existing Alpha 2 installation.";

$locale['fb766'] = "The fresh install was successful.";
$locale['fb767'] = "Your forums were also upgraded to fB4.";

/* Admin > Update */
$locale['fb800'] = "Update";
$locale['fb801'] = "Update check for fusionBoard ";

/* Admin > User Labels */
$locale['fb810'] = "Add Label";
$locale['fb811'] = "Edit Label";
$locale['fb812'] = "Add";
$locale['fb813'] = "Update";
$locale['fb814'] = "User:";
$locale['fb815'] = "Group/Level:";
$locale['fb816'] = "Or";
$locale['fb817'] = "CSS Style:";
$locale['fb818'] = "Bold";
$locale['fb819'] = "Italicize";
$locale['fb820'] = "Underline";
$locale['fb821'] = "User Labels";
$locale['fb822'] = "User/Group";
$locale['fb823'] = "Example";
$locale['fb824'] = "Options";
$locale['fb825'] = "Users";
$locale['fb826'] = "Groups/Levels";
$locale['fb827'] = "Edit";
$locale['fb828'] = "Delete";
$locale['fb829'] = "There are no custom labels for this category.";
$locale['fb830'] = "**Note: User labels override group/level labels";
$locale['fb831'] = "Levels";
$locale['fb832'] = "Groups";

/* Ratings */
$locale['fb850'] = "Ratings";
$locale['fb851'] = "Add Rating";
$locale['fb852'] = "Edit Rating";
$locale['fb853'] = "Add";
$locale['fb854'] = "Update";
$locale['fb855'] = "Name";
$locale['fb856'] = "Icon";
$locale['fb857'] = "Options";
$locale['fb858'] = "Edit";
$locale['fb859'] = "Delete";
$locale['fb860'] = "Current Ratings";
$locale['fb861'] = "There are no ratings yet.";
$locale['fb862'] = "From: ";

$locale['fb863'] = "User Ratings (fB4)";
$locale['fb864'] = "Shows sent/recieved ratings on user profiles.";
$locale['fb865'] = "Ratings Received";
$locale['fb866'] = "Ratings Given";

$locale['fb867'] = "None";
$locale['fb868'] = "To: ";

$locale['fb869'] = "Are you sure you want to delete this rating? All recieved ratings of this type will ALSO be deleted!";

/* Announcements */
$locale['fb900'] = "Announcements";
$locale['fb901'] = "Threads";
$locale['fb902'] = "Announcement: ";
$locale['fb903'] = "Create Announcement From Thread";

$locale['fb9071'] = "Enable Announcements";
$locale['fb904'] = "Can Create Announcements:";
$locale['fb905'] = "Can Reply:";
$locale['fb906'] = "Announcements Can Have Polls?";

/* Forum Rules & Vb-Nav */
$locale['fb907'] = "Forum Rules / vB-style Nav";
$locale['fb908'] = "Enable vB-style navigation?";
$locale['fb909'] = "Forum Terms & Conditions";

$locale['fb910'] = "Register";
$locale['fb911'] = "Forum Rules";
$locale['fb912'] = "FAQ";
$locale['fb913'] = "Members List";
$locale['fb914'] = "Today's Posts";
$locale['fb915'] = "Search";
$locale['fb916'] = "Forum Index";

$locale['fb917'] = "There are no forum rules specified, yet.";

$locale['fb920'] = "Today's Posts";
$locale['fb921'] = "There were no posts today.";

$locale['fb922'] = "User CP";

$locale['fb923'] = "Welcome back ";
$locale['fb924'] = "You last visited ";
$locale['fb925'] = "Private Messages";
$locale['fb926'] = "unread";
$locale['fb927'] = "total.";

/* Thread sorting */
$locale['fb930'] = "Showing ";
$locale['fb931'] = " of ";
$locale['fb932'] = " threads sorted by ";
$locale['fb933'] = " in ";
$locale['fb934'] = " from ";
$locale['fb935'] = "Go!";

/* order by */
$locale['fb940'] = "last post date";
$locale['fb941'] = "thread title";
$locale['fb942'] = "thread starter";
$locale['fb943'] = "number of replies";
$locale['fb944'] = "number of views";
$locale['fb945'] = "topic start date";
$locale['fb946'] = "last poster";

/* sort by */
$locale['fb950'] = "descending order";
$locale['fb951'] = "ascending order";

/* time limit */
$locale['fb960'] = "today";
$locale['fb961'] = "the last 5 days";
$locale['fb962'] = "the last week";
$locale['fb963'] = "the last 10 days";
$locale['fb964'] = "the last 15 days";
$locale['fb965'] = "the last 20 days";
$locale['fb966'] = "the last 25 days";
$locale['fb967'] = "the last 30 days";
$locale['fb968'] = "the last 60 days";
$locale['fb969'] = "the last 90 days";
$locale['fb970'] = "the beginning";

/* Time passed */
$locale['fb980'] = " weeks ago";
$locale['fb981'] = " week ago";
$locale['fb982'] = " days ago";
$locale['fb983'] = " day ago";
$locale['fb984'] = " hours ago";
$locale['fb985'] = " hour ago";
$locale['fb986'] = " minutes ago";
$locale['fb987'] = " minute ago";

/* User CP */
$locale['uc100'] = "User Control";

$locale['uc101'] = "Your Profile";
$locale['uc102'] = "Edit Details";
$locale['uc103'] = "Edit Avatar";

$locale['uc104'] = "Networking";
$locale['uc105'] = "Buddies";
$locale['uc106'] = "Groups";

$locale['uc107'] = "Settings & Options";
$locale['uc108'] = "Edit Signature";
$locale['uc109'] = "Edit Email & Password";
$locale['uc110'] = "Edit Options";
$locale['uc111'] = "Edit Ignore List";

$locale['uc112'] = "Private Messages";
$locale['uc113'] = "Inbox";
$locale['uc114'] = "Sent";
$locale['uc115'] = "Archive";

$locale['uc116'] = "Subscriptions";
$locale['uc117'] = "Threads";
$locale['uc118'] = "Forums";

/* User CP -> Account Summary */
$locale['uc125'] = "Account Summary";
$locale['uc126'] = "Your registered email address:";
$locale['uc127'] = "You joined on:";
$locale['uc128'] = "You've been a member for:";
$locale['uc129'] = "Posts per day (average):";
$locale['uc130'] = "Total number of posts to date:";

/* User CP -> Subscriptions */
$locale['uc150'] = "New Subscribed Threads";
$locale['uc151'] = "There are no new replies to your subscribed threads.";
$locale['uc152'] = "Thread";
$locale['uc153'] = "Last Post";
$locale['uc154'] = "Replies";
$locale['uc155'] = "Views";
$locale['uc156'] = "Stop Tracking";
$locale['uc157'] = "See All Subscribed Threads...";
$locale['uc158'] = "All Subscribed Threads";
$locale['uc159'] = "You have no subscribed threads";

/* User CP -> Edit Details */
$locale['uc170'] = "Edit My Details";
$locale['uc171'] = "Required Information";

$locale['uc172'] = "Email &amp; Password";
$locale['uc173'] = "Click the button below to edit your email &amp; password.";
$locale['uc174'] = "Edit Email &amp; Password";

$locale['uc180'] = "Optional Information";
$locale['uc181'] = "Website";
$locale['uc182'] = "If you have a website you would like to share with vistors to your profile, put it in below:<br />";

$locale['uc185'] = "Instant Messaging";
$locale['uc186'] = "Windows Live Handle:";
$locale['uc187'] = "AIM Handle:";
$locale['uc188'] = "Skype Name:";
$locale['uc189'] = "Yahoo Messenger Handle:";
$locale['uc190'] = "ICQ Number:";
$locale['uc191'] = "You can enter any handles for instant messengers that you want other forum visitors to see.";

$locale['uc195'] = "Additional Information";

$locale['uc196'] = "Update Profile";
$locale['uc197'] = "Your profile was updated!";

/* User CP -> Edit Avatar */
$locale['uc200'] = "Edit Avatar";
$locale['uc201'] = "Save Changes";
$locale['uc202'] = "Current Avatar";

$locale['uc203'] = "Avatars are small images displayed on every post by you and on your profile.";
$locale['uc204'] = "Do not use an avatar";

$locale['uc205'] = "Avatar Gallery";
$locale['uc206'] = "You can choose an image from below to use as your avatar instead of choosing a custom one.";
$locale['uc207'] = "---";
$locale['uc208'] = "Use Avatar Gallery";

$locale['uc209'] = "Custom Avatar";
$locale['uc210'] = "If you have a custom avatar and wish to leave it the same, leave the below boxes blank.";
$locale['uc211'] = "1) Use an image from another site:";
$locale['uc212'] = "2) Upload one from your computer:";
$locale['uc213'] = "Use Custom Avatar";

$locale['uc214'] = "Avatar was successfully updated!";

/* User CP -> Buddies */
$locale['uc220'] = "Buddies";
$locale['uc221'] = "Buddy Requests";
$locale['uc222'] = "Add Buddy";
$locale['uc223'] = "You have no buddies.";
$locale['uc224'] = "You have no buddy requests.";
$locale['uc225'] = "To add a buddy, type in the username in the box below.";
$locale['uc226'] = "When you add a buddy, a request will be sent to them asking if they wish to add you.";
$locale['uc227'] = "The user name you have entered doesn't exist in our database. Try again.";
$locale['uc228'] = "A buddy request was sent to the user you have entered.";
$locale['uc229'] = "Your request to ";
$locale['uc230'] = " is awaiting an answer. ";
$locale['uc231'] = " has requested you to be his/her buddy. ";
$locale['uc232'] = "Cancel";
$locale['uc233'] = "Accept";
$locale['uc234'] = "Deny";
$locale['uc235'] = "You have accepted this request. Buddy added to list.";
$locale['uc236'] = "You have denied this request. Add to <a href='".FUSION_SELF."?section=ignore'>ignore list</a>?";
$locale['uc237'] = "You have deleted this request/buddy. Add to <a href='".FUSION_SELF."?section=ignore'>ignore list</a>?";

$locale['uc238'] = "New Buddy Request from ";
$locale['uc239'] = "Hello, you have recieved a buddy request from {USER}. To see your buddy requests, go to the [url={URL}]User CP[/url]!";

/* User CP -> Groups */
$locale['uc250'] = "Groups";
$locale['uc251'] = "Name";
$locale['uc252'] = "Created";
$locale['uc253'] = "Members";
$locale['uc254'] = "Wall Posts";
$locale['uc255'] = "Last Post";
$locale['uc256'] = "Create New Group";
$locale['uc257'] = "Search Groups";
$locale['uc258'] = "No groups exist on this site. You can start your own <a href='".FUSION_SELF."?section=groups&amp;action=create'>here</a>!";

/* User CP -> Groups -> Create Group */
$locale['uc265'] = "Create Group";
$locale['uc266'] = "Group Name:";
$locale['uc267'] = "Group Description:";
$locale['uc268'] = "Group Type:";
$locale['uc269'] = "Public";
$locale['uc270'] = "Invite-Only";
$locale['uc271'] = "Group Options";
$locale['uc272'] = "Enable Wall";
$locale['uc273'] = "Wall posts must be approved by leader/officer.";
$locale['uc274'] = "Users must join to view content.";
$locale['uc275'] = "Add Group";

/* User CP -> Groups -> View Group */
$locale['uc276'] = "Group is led by: ";
$locale['uc278'] = "This group is ";
$locale['uc279'] = "Showing {1} of {2} members in this group.";
$locale['uc280'] = "Group Wall";
$locale['uc281'] = "No Posts";
$locale['uc282'] = "By: ";
$locale['uc283'] = "Post on Wall";
$locale['uc284'] = "There have been no wall posts... yet.";
$locale['uc285'] = "More Options";
$locale['uc286'] = "Join Group";
$locale['uc287'] = "Leave Group";
$locale['uc288'] = "Invite Others to Group";
$locale['uc289'] = "You must be in this group to post on their wall.";
$locale['uc290'] = "You must be a member of this group to see its content.";
$locale['uc291'] = "Apply to Join";
$locale['uc292'] = "Invite-Only, Can't Join";
$locale['uc293'] = "Applying to: ";
$locale['uc294'] = "Name: ";
$locale['uc295'] = "Group: ";
$locale['uc296'] = "Reason: ";
$locale['uc297'] = "Apply";
$locale['uc298'] = "You have applied to join this group.";
$locale['uc299'] = "Showing {1} of {2} applying members.";
$locale['uc300'] = "Accept";
$locale['uc301'] = "Deny";


/* User CP -> Groups -> Messages */
$locale['uc302'] = " has applied to your group ";
$locale['uc303'] = "You are recieving this message because someone has applied to a group you are leading.
To accept/deny the request, click [url={1}]here[/url].";
$locale['uc304'] = "Group application was accepted!";
$locale['uc305'] = "Group application was denied!";
$locale['uc306'] = "You are recieving this message because your application to a group was accepted.
To see the group, click [url={1}]here[/url].";
$locale['uc307'] = "You are recieving this message because your application to a group was denied.
To see the group, click [url={1}]here[/url].";

/* User CP -> Groups */
$locale['uc308'] = "See all members...";
$locale['uc309'] = "Back...";
$locale['uc310'] = "Invite Buddies to this Group:";
$locale['uc311'] = "Invite";
$locale['uc312'] = "You have been invited to the group ";
$locale['uc313'] = "You are recieving this message because a buddy has invited you to a group.
To see your requests/invitations click [url={1}]here[/url]";
$locale['uc314'] = "Invites were successfully sent to the selected buddies.";

/* User CP -> Requests */
$locale['uc325'] = "Requests";
$locale['uc326'] = "You have no new requests.";
$locale['uc327'] = " has invited you to the group:";
$locale['uc328'] = "Accept";
$locale['uc329'] = "Ignore";
$locale['uc330'] = "Accept Invitation to Group";

/* User CP -> Settings -> Signatures */
$locale['uc331'] = "Current Signature";
$locale['uc332'] = "Edit Signature";
$locale['uc333'] = "Update Signature";
$locale['uc334'] = "Signature updated.";

/* User CP -> Settings -> Edit Email & Password */
$locale['uc340'] = "Email & Password";
$locale['uc341'] = "Administrator Password";
$locale['uc342'] = "Update";
$locale['uc343'] = "Successfully updated email / password.";

/* User CP -> Settings -> Options */
$locale['uc345'] = "Options successfully updated.";

/* User CP -> Settings -> Ignore List */
$locale['uc346'] = "Currently Ignored";
$locale['uc347'] = "Add Ignored";
$locale['uc348'] = "The user name you have entered doesn't exist in our database. Try again.";
$locale['uc349'] = "You aren't ignoring anyone";
$locale['uc350'] = "Username: ";
$locale['uc351'] = "Ignore";
$locale['uc352'] = "You are now ignoring this member.";
$locale['uc353'] = "When you add a member to the ignore list, you will not recieve any group/buddy requests, messages, or ratings from them.";
$locale['uc354'] = "Stop Ignoring";

/* User CP -> Subscriptions -> Forum */
$locale['uc355'] = "All Subscribed Forums";
$locale['uc356'] = "Posts";
$locale['uc357'] = "You aren't subscribed to any forums.";

/* User CP -> Invisiblity Mode */
$locale['uc358'] = "You are in invisible mode. Click ";
$locale['uc359'] = "here";
$locale['uc360'] = " to exit this mode.";

$locale['uc361'] = "Invisible Mode";
$locale['uc362'] = "Hides your online status from other members; Administrator Only!";
$locale['uc363'] = "Remember Me";
$locale['uc364'] = "Keeps you logged for a long period of time. Not recommended for public or shared computers.";

$locale['uc365'] = "Inv. Mode";

/* User CP -> Edit Group/Assign Officers/Miniforum */
$locale['uc366'] = "Edit Group";
$locale['uc367'] = "Editing Group ";
$locale['uc368'] = "Save Changes";

$locale['uc369'] = "Enable Miniforum";

$locale['uc370'] = "Mini-forum";

/* Warning System */
$locale['fbw100'] = "Warn Level ";
$locale['fbw101'] = "Are you sure you wish to warn this user?";
$locale['fbw102'] = "Are you sure you wish to unwarn this user?";

$locale['fbw103'] = "Warnings";
$locale['fbw104'] = "Warning Rules";
$locale['fbw105'] = "Warning Settings";

$locale['fbw106'] = "Level";
$locale['fbw107'] = "Send PM?";
$locale['fbw108'] = "Send Email?";
$locale['fbw109'] = "Temporary Ban";
$locale['fbw110'] = "Permaban";
$locale['fbw111'] = "Edit";
$locale['fbw112'] = "Save";
$locale['fbw113'] = "In Hours";

$locale['fbw114'] = "Warning Given!";
$locale['fbw115'] = "You have been warned at ".$settings['sitename'];
$locale['fbw116'] = "You have recieved a warning from a moderator or administrator at ".$settings['sitename'].":\n
[WARNING]\n\n If you feel this is a mistake, you can contact an admin at ".$settings['siteemail'];

$locale['fbw117'] = "Levels can be seen by:";
$locale['fbw118'] = "Warnings can be given by:";
$locale['fbw119'] = "Users can see their own warning levels?";
$locale['fbw120'] = "Enable Warning System?";
$locale['fbw121'] = "Protected from Warnings";
$locale['fbw122'] = "(to select multiple, Left Click+CTRL)";

/* fB4 Admin -> User Labels -> Label Visibility */
$locale['fba100'] = "Label Visibility Settings";
$locale['fba101'] = "Show Labels on Forum Index/Viewforum";
$locale['fba102'] = "Show Labels on Posts (All Thread Views)";
$locale['fba103'] = "Show Labels on Latest Active Forum Threads";
$locale['fba104'] = "Save";

/* Ajax Shoutbox */
$locale['ajs100'] = "(updated)";

/* fB4 Admin -> Settings -> Warning Explainations (Beta 1b) */
$locale['fba105'] = "This is who can see member warnings (Moderator is BY FORUM)";
$locale['fba106'] = "This is who can give out warnings (Moderator is BY FORUM)";
$locale['fba107'] = "This is who can't recieve warnings (Moderator is BY FORUM)";
$locale['fba108'] = "To enable private messages/emails, type in your warning message in the box. To disable, remove the message.";
?>