<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: shoutbox_panel.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
/*
	fusionBoard 4.0
	php-Invent Team
	http://www.php-invent.com
	
	Developer: Ian Unruh (SoBeNoFear)
	ianunruh@gmail.com
	
	Component: AJAX Shoutbox
*/ 
if (!defined("IN_FUSION")) { die("Access Denied"); }

if(!function_exists("timePassed")){
	include INFUSIONS."fusionboard4/includes/func.php";
	
	if (file_exists(INFUSIONS."fusionboard4/locale/".$settings['locale'].".php")) {
		include INFUSIONS."fusionboard4/locale/".$settings['locale'].".php";
	} else {
		include INFUSIONS."fusionboard4/locale/English.php";
	}
}

include_once INCLUDES."bbcode_include.php";

$link = FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "");
$link = preg_replace("^(&amp;|\?)s_action=(edit|delete)&amp;shout_id=\d*^", "", $link);
$sep = stristr($link, "?") ? "&amp;" : "?";

function sbwrap($text) {
	
	$i = 0; $tags = 0; $chars = 0; $res = "";
	
	$str_len = strlen($text);
	
	for ($i = 0; $i < $str_len; $i++) {
		$chr = substr($text, $i, 1);
		if ($chr == "<") {
			if (substr($text, ($i + 1), 6) == "a href" || substr($text, ($i + 1), 3) == "img") {
				$chr = " ".$chr;
				$chars = 0;
			}
			$tags++;
		} elseif ($chr == "&") {
			if (substr($text, ($i + 1), 5) == "quot;") {
				$chars = $chars - 5;
			} elseif (substr($text, ($i + 1), 4) == "amp;" || substr($text, ($i + 1), 4) == "#39;" || substr($text, ($i + 1), 4) == "#92;") {
				$chars = $chars - 4;
			} elseif (substr($text, ($i + 1), 3) == "lt;" || substr($text, ($i + 1), 3) == "gt;") {
				$chars = $chars - 3;
			}
		} elseif ($chr == ">") {
			$tags--;
		} elseif ($chr == " ") {
			$chars = 0;
		} elseif (!$tags) {
			$chars++;
		}
		
		if (!$tags && $chars == 18) {
			$chr .= "<br />";
			$chars = 0;
		}
		$res .= $chr;
	}
	
	return $res;
}

opentable($locale['global_150']);
if (iMEMBER) {
	echo "<span id='edit'>\n";
	if (iMEMBER && (isset($_GET['s_action']) && $_GET['s_action'] == "edit") && (isset($_GET['shout_id']) && isnum($_GET['shout_id']))) {
		$esresult = dbquery(
			"SELECT ts.*, tu.user_id, tu.user_name FROM ".DB_SHOUTBOX." ts
			LEFT JOIN ".DB_USERS." tu ON ts.shout_name=tu.user_id
			WHERE ts.shout_id='".$_GET['shout_id']."'"
		);
		if (dbrows($esresult)) {
			$esdata = dbarray($esresult);
			if ((iADMIN && checkrights("S")) || (iMEMBER && $esdata['shout_name'] == $userdata['user_id'] && isset($esdata['user_name']))) {
				if ((isset($_GET['s_action']) && $_GET['s_action'] == "edit") && (isset($_GET['shout_id']) && isnum($_GET['shout_id']))) {
					$edit_url = $sep."s_action=edit&amp;shout_id=".$esdata['shout_id'];
				} else {
					$edit_url = "";
				}
				$shout_link = $link.$edit_url;
				$shout_message = $esdata['shout_message'];
			}
		} else {
			$shout_link = $link;
			$shout_message = "";
		}
	} else {
		$shout_link = $link;
		$shout_message = "";
	}
	echo "<script type='text/javascript'>
	function postShoutbox(){
		$.post(\"".INFUSIONS."fusionboard4/includes/ajax/sb.php\", { shout_message: document.chatform.shout_message.value".(isset($edit_url) ? ", s_action: \"edit\", shout_id: ".$esdata['shout_id']: "")." },
		  function(data){
			refreshShoutbox();
		  });
		document.chatform.shout_message.value=''
	}
	</script>\n";
	echo "<a id='edit_shout' name='edit_shout'></a>\n";
	echo "<form name='chatform' method='post' action='".$shout_link."'><div style='white-space:nowrap;'>\n";
	echo "<input name='shout_message' class='textbox' style='width:400px;font-size:14px;' value='".$shout_message."'>  ";
	echo "<input type='button' name='post_shout' value='".$locale['global_153']."' class='button' onclick=\"postShoutbox()\" /> ";
	echo display_bbcodes("150px;", "shout_message", "chatform", "smiley|b|u|url|color", false);
	echo "</div>\n</form>\n<br />\n";
	echo "</span>\n";
} else {
	echo "<div style='text-align:center'>".$locale['global_154']."</div><br />\n";
}
$numrows = dbcount("(shout_id)", DB_SHOUTBOX);
$result = dbquery(
	"SELECT ts.*, tu.user_id, tu.user_name FROM ".DB_SHOUTBOX." ts
	LEFT JOIN ".DB_USERS." tu ON ts.shout_name=tu.user_id
	ORDER BY ts.shout_datestamp DESC LIMIT 0,20"
);
if (dbrows($result)) {
	add_to_head( "<script type='text/javascript'>
	window.onload=setTimeout(\"refreshShoutbox()\", 5000);
	</script>\n" );
	echo "<script type='text/javascript'>
	function refreshShoutbox(){
		$('#shoutbox').load(\"".INFUSIONS."fusionboard4/includes/ajax/sb.php?sid=\"+Math.random());
	}
	function deletePost(post){
		$('#shoutbox').load(\"".INFUSIONS."fusionboard4/includes/ajax/sb.php?s_action=delete&shout_id=\"+post+\"&sid=\"+Math.random());
	}
	function editPost(post){
		$('#edit').load(\"".INFUSIONS."fusionboard4/includes/ajax/sb.php?mode=edit&s_action=edit&shout_id=\"+post+\"&sid=\"+Math.random());
	}
	</script>\n";
	$i = 0;
	echo "<div style='height:100px;overflow-y: scroll;'><span id='shoutbox'>\n<table width='100%' cellspacing='1' cellpadding='0' border='0'>\n";
	while ($data = dbarray($result)) {
		
		echo "<tr>\n<td width='1%' style='white-space:nowrap;text-align:right;'>\n";
		echo "[".timePassed($data['shout_datestamp'])."]</td>\n";
		echo "<td style='padding-left:3px;' class='small'><a href='".BASEDIR."profile.php?lookup=".$data['shout_name']."'>".(showLabel($data['shout_name']))."</a>: ";
		echo sbwrap(parseubb(parsesmileys($data['shout_message']), "b|i|u|url|color"));
		echo "</td>\n";
		if ((iADMIN && checkrights("S")) || (iMEMBER && $data['shout_name'] == $userdata['user_id'] && isset($data['user_name']))) {
			echo "<td align='right' style='width:1%;white-space:nowrap;'>[<a onClick=\"editPost(".$data['shout_id'].")\" style='cursor:pointer'>".$locale['global_076']."</a>]\n";
			echo "[<a onClick=\"deletePost(".$data['shout_id'].")\" style='cursor:pointer'>".$locale['global_157']."</a>]</td>\n";
		}
		echo "</tr>\n";
		$i++;
	}
	echo "</table>\n</span>\n</div>";
	if ($numrows > 20) {
		echo "<div style='text-align:center'>\n<a href='".INFUSIONS."shoutbox_panel/shoutbox_archive.php' class='side'>".$locale['global_155']."</a>\n</div>\n";
	}
} else {
	echo "<div>".$locale['global_156']."</div>\n";
}
closetable();
?>
